package pw.hamzantal.shopreborn

import hazae41.minecraft.kutils.bukkit.command
import hazae41.minecraft.kutils.bukkit.listen
import hazae41.minecraft.kutils.get
import org.bukkit.entity.Player
import org.bukkit.plugin.java.JavaPlugin

class ShopReborn : JavaPlugin() {

    override fun onEnable() {
        saveDefaultConfig()

        GlobalConfig.dataFolder = dataFolder
        GlobalConfig.messages = Messages(dataFolder["messages.yml"], this)
        GlobalConfig.main =
            MainConfig(dataFolder["config.yml"])
        GlobalConfig.main.addShops()

        listen(callback = ::baseListener)
        listen(callback = ::closeListener)

        command("shop") { sender, args ->
            if (sender !is Player) return@command
            if (args.isEmpty()) {
                sender.openInventory(GlobalConfig.main.inventory)
                return@command
            }

            val shop = GlobalConfig.shops.firstOrNull { it.name == args.component1() } ?: return@command
            sender.openInventory(shop.inventory)
        }
    }
}